1e0c9a3718c5b1418ec14c491a30ee77fa14908b
[debian/amanda] / changer-src / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Makefile for Amanda tape changer programs.
19
20 # vim:ft=automake
21 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
22
23 # This library is free software; you can redistribute it and/or modify it
24 # under the terms of the GNU Lesser General Public License version 2.1 as 
25 # published by the Free Software Foundation.
26
27 # This library is distributed in the hope that it will be useful, but
28 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
29 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
30 # License for more details.
31
32 # You should have received a copy of the GNU Lesser General Public License
33 # along with this library; if not, write to the Free Software Foundation,
34 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
35
36 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
37 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
38
39 # simple include file to pre-define variables which are then +='d by other
40 # scripts in this directory.
41
42 # vim:ft=automake
43 # Copyright (c) 2005-2008 Zmanda Inc.  All Rights Reserved.
44
45 # This library is free software; you can redistribute it and/or modify it
46 # under the terms of the GNU Lesser General Public License version 2.1 as 
47 # published by the Free Software Foundation.
48
49 # This library is distributed in the hope that it will be useful, but
50 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
51 # or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
52 # License for more details.
53
54 # You should have received a copy of the GNU Lesser General Public License
55 # along with this library; if not, write to the Free Software Foundation,
56 # Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA.
57
58 # Contact information: Zmanda Inc., 465 S Mathlida Ave, Suite 300
59 # Sunnyvale, CA 94086, USA, or: http://www.zmanda.com
60
61 # SYNOPSIS:
62 #
63 # Automake magic to handle the various tasks of building scripts.  Scripts can
64 # be built down to extensionless executables (e.g., foo.pl -> foo), or to 
65 # files with the usual extension (foo-lib.sh.in -> foo.sh).
66 #
67 # Files which support it are syntax-checked when the user invokes 'make check'.
68 #
69 # All *target* filenames must be listed in SCRIPTS_SHELL, SCRIPTS_PERL, and 
70 # SCRIPTS_AWK to support 'make check', 'make dist', and 'make distclean'. No
71 # files which are not substituted by config.status should be included in
72 # SCRIPTS_PERL, SCRIPTS_SHELL, or SCRIPTS_AWK.  If non-generated files are listed
73 # for installation, then Automake will figure out that they should be distributed;
74 # otherwise, include them in EXTRA_DIST.
75 #
76 # USAGE:
77 #
78 #   include $(top_srcdir)/config/automake/vars.am
79 #   include $(top_srcdir)/config/automake/scripts.am
80 #   ...
81 #   SCRIPTS_PERL = fooscript barscript perl-lib.pl perlmod.pm
82 #   SCRIPTS_SHELL = shell1 shell2 sh-lib.sh
83 #   SCRIPTS_AWK = talk balk chalk awk-lib.awk
84 #   sbin_SCRIPTS = not-subbed
85 #   EXTRA_DIST = util-script.pl
86 #
87 # with the corresponding files in the repository:
88 #
89 #   fooscript.pl barscript.pl perl-lib.pl.in perlmod.pm.in
90 #   shell1.sh shell2.sh sh-lib.sh.in
91 #   talk.awk balk.awk chalk.awk awk-lib.awk.in
92 #   not-subbed util-script.pl
93 #
94 # by default, all shell and perl scripts are syntax checked.  If this is
95 # a problem (for example, perl scripts depending on Amanda extension 
96 # modules), then assign to CHECK_{PERL,SHELL} the list of files you wish
97 # to be checked (which can be empty).
98 #
99 # To add extra flags to the perl checks (e.g., to add new -I flags), set
100 # CHECK_PERL_FLAGS.
101
102 # Implementation note:
103 #
104 # This file uses config.status to substitute @foo@ in those scripts while
105 # converting them. It also adds the executable bits (a+x) to extensionless
106 # files.  The substitution works even though the files are not listed in 
107 # configure.in
108
109 # vim:ft=automake
110 #
111 # Adjust post-install permissions settings.  This rule works off two
112 # specially-formatted variables, INSTALLPERMS_exec and INSTALLPERMS_data. 
113 # Each is a whitespace-separated list of commands, all of which are either
114 # a variable assignment or a filename.  Three variables are available:
115 #
116 #  - dest= sets the destination directory to e.g., $(sbindir)
117 #  - chown= controls changes in ownership; value is first argument to chown
118 #  - chmod= controls changes in permissions; value is first argument to chmod
119 #
120 # As a special case, chown=amanda is taken as equivalent to 
121 # chown=$(BINARY_OWNER):$(SETUID_GROUP), which may otherwise have problems with
122 # whitespace in the user/group names.
123
124 # when a filename is seen, the currently active variables are applied.
125 #
126 # Note that scripts are data, not executables!
127 #
128 # EXAMPLE
129 #
130 # sbin_PROGRAMS = foo bar bing
131 # libexec_PROGRAMS = pro gram
132 # sbin_SCRIPTS = sk ript
133 # INSTALLPERMS_exec = \
134 #       dest=$(sbindir) chown=amanda chmod= \
135 #               foo bar \
136 #       chmod=07450 \
137 #               bing
138 #       dest=$(libexecdir) chmod= \
139 #               $(libexec_PROGRAMS)
140 # INSTALLPERMS_data = \
141 #       dest=$(sbindir) chown=amanda chmod= \
142 #               $(sbin_SCRIPTS)
143 #
144 # This whole operation is not required when making builds for packaging,
145 # and can be disabled with --disable-installperms, via the WANT_INSTALLPERMS
146 # AM_CONDITIONAL.  When disabled, the file 'installperms.sh' in the top-level
147 # build directory is populated with a format suitable for shell interpretation,
148 # with lines like this:
149 #   installperm "amanda:disk" "04750" "/usr/local/sbin/bing"
150 # the arguments being, respectively, owner:group, mode, and filename.  There will
151 # be exactly one line for each file which has specific permissions.  The intention
152 # is that this file be used by packaging scripts to set correct permissions at install
153 # time.  Note that files which have no special permissions requirements do not appear 
154 # in this file at all, due to limitations of Automake.
155
156 # vim:ft=automake
157
158
159
160 VPATH = @srcdir@
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
181         $(top_srcdir)/config/automake/installperms.am \
182         $(top_srcdir)/config/automake/precompile.am \
183         $(top_srcdir)/config/automake/scripts.am \
184         $(top_srcdir)/config/automake/vars.am
185 @WANT_INSTALLPERMS_FALSE@am__append_1 = $(installperms_sh)
186 amlibexec_PROGRAMS = $(am__EXEEXT_2)
187 EXTRA_PROGRAMS = $(am__EXEEXT_1)
188 @WANT_SCSI_AIX_TRUE@am__append_2 = scsi-aix.c
189 @WANT_SCSI_HPUX_NEW_TRUE@am__append_3 = scsi-hpux_new.c
190 @WANT_SCSI_IRIX_TRUE@am__append_4 = scsi-irix.c
191 @WANT_SCSI_LINUX_TRUE@am__append_5 = scsi-linux.c
192 @WANT_SCSI_SOLARIS_TRUE@am__append_6 = scsi-solaris.c
193 @WANT_SCSI_BSD_TRUE@am__append_7 = scsi-bsd.c
194 @WANT_SCSI_CAM_TRUE@am__append_8 = scsi-cam.c
195 @WANT_SCSI_HPUX_TRUE@am__append_9 = scsi-hpux.c
196 @WANT_SCSI_CHIO_TRUE@am__append_10 = scsi-chio.c
197 subdir = changer-src
198 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
199 am__aclocal_m4_deps =  \
200         $(top_srcdir)/config/macro-archive/ac_define_dir.m4 \
201         $(top_srcdir)/config/macro-archive/ac_perl_module_version.m4 \
202         $(top_srcdir)/config/macro-archive/ac_prog_perl_version.m4 \
203         $(top_srcdir)/config/macro-archive/ac_prog_swig.m4 \
204         $(top_srcdir)/config/macro-archive/ax_compare_version.m4 \
205         $(top_srcdir)/config/macro-archive/docbook-dtd.m4 \
206         $(top_srcdir)/config/macro-archive/docbook-xslt-min.m4 \
207         $(top_srcdir)/config/macro-archive/docbook-xslt.m4 \
208         $(top_srcdir)/config/macro-archive/xsltproc.m4 \
209         $(top_srcdir)/config/amanda/amplot.m4 \
210         $(top_srcdir)/config/amanda/bsd-security.m4 \
211         $(top_srcdir)/config/amanda/bsdtcp-security.m4 \
212         $(top_srcdir)/config/amanda/bsdudp-security.m4 \
213         $(top_srcdir)/config/amanda/changer.m4 \
214         $(top_srcdir)/config/amanda/components.m4 \
215         $(top_srcdir)/config/amanda/compress.m4 \
216         $(top_srcdir)/config/amanda/config.m4 \
217         $(top_srcdir)/config/amanda/debugging.m4 \
218         $(top_srcdir)/config/amanda/defaults.m4 \
219         $(top_srcdir)/config/amanda/devprefix.m4 \
220         $(top_srcdir)/config/amanda/dirs.m4 \
221         $(top_srcdir)/config/amanda/documentation.m4 \
222         $(top_srcdir)/config/amanda/dumpers.m4 \
223         $(top_srcdir)/config/amanda/flags.m4 \
224         $(top_srcdir)/config/amanda/flock.m4 \
225         $(top_srcdir)/config/amanda/funcs.m4 \
226         $(top_srcdir)/config/amanda/getfsent.m4 \
227         $(top_srcdir)/config/amanda/i18n.m4 \
228         $(top_srcdir)/config/amanda/ipv6.m4 \
229         $(top_srcdir)/config/amanda/krb4-security.m4 \
230         $(top_srcdir)/config/amanda/krb5-security.m4 \
231         $(top_srcdir)/config/amanda/lfs.m4 \
232         $(top_srcdir)/config/amanda/libs.m4 \
233         $(top_srcdir)/config/amanda/net.m4 \
234         $(top_srcdir)/config/amanda/progs.m4 \
235         $(top_srcdir)/config/amanda/ps.m4 \
236         $(top_srcdir)/config/amanda/readdir.m4 \
237         $(top_srcdir)/config/amanda/readline.m4 \
238         $(top_srcdir)/config/amanda/rsh-security.m4 \
239         $(top_srcdir)/config/amanda/s3-device.m4 \
240         $(top_srcdir)/config/amanda/shmem.m4 \
241         $(top_srcdir)/config/amanda/socklen_t_equiv.m4 \
242         $(top_srcdir)/config/amanda/ssh-security.m4 \
243         $(top_srcdir)/config/amanda/summary.m4 \
244         $(top_srcdir)/config/amanda/swig.m4 \
245         $(top_srcdir)/config/amanda/syshacks.m4 \
246         $(top_srcdir)/config/amanda/tape.m4 \
247         $(top_srcdir)/config/amanda/types.m4 \
248         $(top_srcdir)/config/amanda/userid.m4 \
249         $(top_srcdir)/config/amanda/version.m4 \
250         $(top_srcdir)/config/gnulib/alloca.m4 \
251         $(top_srcdir)/config/gnulib/arpa_inet_h.m4 \
252         $(top_srcdir)/config/gnulib/base64.m4 \
253         $(top_srcdir)/config/gnulib/eoverflow.m4 \
254         $(top_srcdir)/config/gnulib/extensions.m4 \
255         $(top_srcdir)/config/gnulib/float_h.m4 \
256         $(top_srcdir)/config/gnulib/fsusage.m4 \
257         $(top_srcdir)/config/gnulib/getaddrinfo.m4 \
258         $(top_srcdir)/config/gnulib/getopt.m4 \
259         $(top_srcdir)/config/gnulib/gettimeofday.m4 \
260         $(top_srcdir)/config/gnulib/gnulib-common.m4 \
261         $(top_srcdir)/config/gnulib/gnulib-comp.m4 \
262         $(top_srcdir)/config/gnulib/include_next.m4 \
263         $(top_srcdir)/config/gnulib/inet_ntop.m4 \
264         $(top_srcdir)/config/gnulib/intmax_t.m4 \
265         $(top_srcdir)/config/gnulib/lock.m4 \
266         $(top_srcdir)/config/gnulib/longlong.m4 \
267         $(top_srcdir)/config/gnulib/malloc.m4 \
268         $(top_srcdir)/config/gnulib/mkdtemp.m4 \
269         $(top_srcdir)/config/gnulib/netinet_in_h.m4 \
270         $(top_srcdir)/config/gnulib/onceonly_2_57.m4 \
271         $(top_srcdir)/config/gnulib/physmem.m4 \
272         $(top_srcdir)/config/gnulib/safe-read.m4 \
273         $(top_srcdir)/config/gnulib/safe-write.m4 \
274         $(top_srcdir)/config/gnulib/snprintf.m4 \
275         $(top_srcdir)/config/gnulib/socklen.m4 \
276         $(top_srcdir)/config/gnulib/sockpfaf.m4 \
277         $(top_srcdir)/config/gnulib/ssize_t.m4 \
278         $(top_srcdir)/config/gnulib/stdbool.m4 \
279         $(top_srcdir)/config/gnulib/stdint.m4 \
280         $(top_srcdir)/config/gnulib/stdio_h.m4 \
281         $(top_srcdir)/config/gnulib/stdlib_h.m4 \
282         $(top_srcdir)/config/gnulib/strdup.m4 \
283         $(top_srcdir)/config/gnulib/string_h.m4 \
284         $(top_srcdir)/config/gnulib/sys_socket_h.m4 \
285         $(top_srcdir)/config/gnulib/sys_stat_h.m4 \
286         $(top_srcdir)/config/gnulib/sys_time_h.m4 \
287         $(top_srcdir)/config/gnulib/tempname.m4 \
288         $(top_srcdir)/config/gnulib/unistd_h.m4 \
289         $(top_srcdir)/config/gnulib/vasnprintf.m4 \
290         $(top_srcdir)/config/gnulib/visibility.m4 \
291         $(top_srcdir)/config/gnulib/wchar.m4 \
292         $(top_srcdir)/config/gettext-macros/gettext.m4 \
293         $(top_srcdir)/config/gettext-macros/iconv.m4 \
294         $(top_srcdir)/config/gettext-macros/inttypes_h.m4 \
295         $(top_srcdir)/config/gettext-macros/lib-ld.m4 \
296         $(top_srcdir)/config/gettext-macros/lib-link.m4 \
297         $(top_srcdir)/config/gettext-macros/lib-prefix.m4 \
298         $(top_srcdir)/config/gettext-macros/nls.m4 \
299         $(top_srcdir)/config/gettext-macros/po.m4 \
300         $(top_srcdir)/config/gettext-macros/progtest.m4 \
301         $(top_srcdir)/config/gettext-macros/size_max.m4 \
302         $(top_srcdir)/config/gettext-macros/stdint_h.m4 \
303         $(top_srcdir)/config/gettext-macros/wchar_t.m4 \
304         $(top_srcdir)/config/gettext-macros/wint_t.m4 \
305         $(top_srcdir)/config/gettext-macros/xsize.m4 \
306         $(top_srcdir)/config/libtool.m4 $(top_srcdir)/configure.in
307 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
308         $(ACLOCAL_M4)
309 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
310 CONFIG_HEADER = $(top_builddir)/config/config.h
311 CONFIG_CLEAN_FILES =
312 CONFIG_CLEAN_VPATH_FILES =
313 @WANT_CHG_SCSI_CHIO_TRUE@am__EXEEXT_1 = chg-scsi-chio$(EXEEXT)
314 @WANT_CHG_SCSI_TRUE@am__EXEEXT_2 = chg-scsi$(EXEEXT)
315 am__installdirs = "$(DESTDIR)$(amlibexecdir)" \
316         "$(DESTDIR)$(amlibexecdir)" "$(DESTDIR)$(amlibexecdir)"
317 PROGRAMS = $(amlibexec_PROGRAMS)
318 am__chg_scsi_SOURCES_DIST = libscsi.h scsi-defs.h chg-scsi.c \
319         scsi-changer-driver.c sense.c scsi-aix.c scsi-hpux_new.c \
320         scsi-irix.c scsi-linux.c scsi-solaris.c scsi-bsd.c scsi-cam.c
321 @WANT_SCSI_AIX_TRUE@am__objects_1 = scsi-aix.$(OBJEXT)
322 @WANT_SCSI_HPUX_NEW_TRUE@am__objects_2 = scsi-hpux_new.$(OBJEXT)
323 @WANT_SCSI_IRIX_TRUE@am__objects_3 = scsi-irix.$(OBJEXT)
324 @WANT_SCSI_LINUX_TRUE@am__objects_4 = scsi-linux.$(OBJEXT)
325 @WANT_SCSI_SOLARIS_TRUE@am__objects_5 = scsi-solaris.$(OBJEXT)
326 @WANT_SCSI_BSD_TRUE@am__objects_6 = scsi-bsd.$(OBJEXT)
327 @WANT_SCSI_CAM_TRUE@am__objects_7 = scsi-cam.$(OBJEXT)
328 am__objects_8 = chg-scsi.$(OBJEXT) scsi-changer-driver.$(OBJEXT) \
329         sense.$(OBJEXT) $(am__objects_1) $(am__objects_2) \
330         $(am__objects_3) $(am__objects_4) $(am__objects_5) \
331         $(am__objects_6) $(am__objects_7)
332 am_chg_scsi_OBJECTS = $(am__objects_8)
333 chg_scsi_OBJECTS = $(am_chg_scsi_OBJECTS)
334 chg_scsi_LDADD = $(LDADD)
335 am__DEPENDENCIES_1 =
336 chg_scsi_DEPENDENCIES = ../common-src/libamanda.la \
337         ../common-src/libamanda.la ../device-src/libamdevice.la \
338         ../gnulib/libgnu.la $(am__DEPENDENCIES_1)
339 am__chg_scsi_chio_SOURCES_DIST = libscsi.h chg-scsi-chio.c scsi-hpux.c \
340         scsi-chio.c
341 @WANT_SCSI_HPUX_TRUE@am__objects_9 = scsi-hpux.$(OBJEXT)
342 @WANT_SCSI_CHIO_TRUE@am__objects_10 = scsi-chio.$(OBJEXT)
343 am__objects_11 = chg-scsi-chio.$(OBJEXT) $(am__objects_9) \
344         $(am__objects_10)
345 am_chg_scsi_chio_OBJECTS = $(am__objects_11)
346 chg_scsi_chio_OBJECTS = $(am_chg_scsi_chio_OBJECTS)
347 chg_scsi_chio_LDADD = $(LDADD)
348 chg_scsi_chio_DEPENDENCIES = ../common-src/libamanda.la \
349         ../common-src/libamanda.la ../device-src/libamdevice.la \
350         ../gnulib/libgnu.la $(am__DEPENDENCIES_1)
351 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
352 am__vpath_adj = case $$p in \
353     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
354     *) f=$$p;; \
355   esac;
356 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
357 am__install_max = 40
358 am__nobase_strip_setup = \
359   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
360 am__nobase_strip = \
361   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
362 am__nobase_list = $(am__nobase_strip_setup); \
363   for p in $$list; do echo "$$p $$p"; done | \
364   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
365   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
366     if (++n[$$2] == $(am__install_max)) \
367       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
368     END { for (dir in files) print dir, files[dir] }'
369 am__base_list = \
370   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
371   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
372 SCRIPTS = $(amlibexec_SCRIPTS)
373 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/config
374 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
375 am__depfiles_maybe = depfiles
376 am__mv = mv -f
377 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
378         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
379 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
380         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
381         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
382 CCLD = $(CC)
383 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
384         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
385         $(LDFLAGS) -o $@
386 SOURCES = $(chg_scsi_SOURCES) $(chg_scsi_chio_SOURCES)
387 DIST_SOURCES = $(am__chg_scsi_SOURCES_DIST) \
388         $(am__chg_scsi_chio_SOURCES_DIST)
389 DATA = $(amlibexec_DATA)
390 ETAGS = etags
391 CTAGS = ctags
392 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
393 ACLOCAL = @ACLOCAL@
394 AIX_BACKUP = @AIX_BACKUP@
395 ALLOCA = @ALLOCA@
396 ALLOCA_H = @ALLOCA_H@
397 AMANDA_DBGDIR = @AMANDA_DBGDIR@
398 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
399 AMANDA_STATIC_LDFLAGS = @AMANDA_STATIC_LDFLAGS@
400 AMANDA_TMPDIR = @AMANDA_TMPDIR@
401 AMANDA_WARNING_CFLAGS = @AMANDA_WARNING_CFLAGS@
402 AMLINT = @AMLINT@
403 AMLINTFLAGS = @AMLINTFLAGS@
404 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
405 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
406 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
407 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
408 AMTAR = @AMTAR@
409 APPLICATION_DIR = @APPLICATION_DIR@
410 AR = @AR@
411 ARPA_INET_H = @ARPA_INET_H@
412 ASSERTIONS = @ASSERTIONS@
413 AUTOCONF = @AUTOCONF@
414 AUTOHEADER = @AUTOHEADER@
415 AUTOMAKE = @AUTOMAKE@
416 AWK = @AWK@
417 BASH = @BASH@
418 BINARY_OWNER = @BINARY_OWNER@
419 BITSIZEOF_PTRDIFF_T = @BITSIZEOF_PTRDIFF_T@
420 BITSIZEOF_SIG_ATOMIC_T = @BITSIZEOF_SIG_ATOMIC_T@
421 BITSIZEOF_SIZE_T = @BITSIZEOF_SIZE_T@
422 BITSIZEOF_WCHAR_T = @BITSIZEOF_WCHAR_T@
423 BITSIZEOF_WINT_T = @BITSIZEOF_WINT_T@
424 BSDTCP_SECURITY = @BSDTCP_SECURITY@
425 BSDUDP_SECURITY = @BSDUDP_SECURITY@
426 BSD_SECURITY = @BSD_SECURITY@
427 CAT = @CAT@
428 CC = @CC@
429 CCDEPMODE = @CCDEPMODE@
430 CFLAGS = @CFLAGS@
431 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
432 CHECK_USERID = @CHECK_USERID@
433 CHIO = @CHIO@
434 CHS = @CHS@
435 CLIENT_HOST_INSTANCE = @CLIENT_HOST_INSTANCE@
436 CLIENT_HOST_KEY_FILE = @CLIENT_HOST_KEY_FILE@
437 CLIENT_HOST_PRINCIPAL = @CLIENT_HOST_PRINCIPAL@
438 CLIENT_LOGIN = @CLIENT_LOGIN@
439 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
440 COMPRESS = @COMPRESS@
441 COMPRESS_BEST_OPT = @COMPRESS_BEST_OPT@
442 COMPRESS_FAST_OPT = @COMPRESS_FAST_OPT@
443 COMPRESS_PATH = @COMPRESS_PATH@
444 COMPRESS_SUFFIX = @COMPRESS_SUFFIX@
445 CONFIG_CLOBBER_MY_CONFIG = @CONFIG_CLOBBER_MY_CONFIG@
446 CONFIG_DIR = @CONFIG_DIR@
447 CPP = @CPP@
448 CPPFLAGS = @CPPFLAGS@
449 CURL_CONFIG = @CURL_CONFIG@
450 CXX = @CXX@
451 CXXCPP = @CXXCPP@
452 CXXDEPMODE = @CXXDEPMODE@
453 CXXFLAGS = @CXXFLAGS@
454 CYGPATH_W = @CYGPATH_W@
455 DD = @DD@
456 DEFAULT_AMANDATES_FILE = @DEFAULT_AMANDATES_FILE@
457 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
458 DEFAULT_CONFIG = @DEFAULT_CONFIG@
459 DEFAULT_MAILER = @DEFAULT_MAILER@
460 DEFAULT_SERVER = @DEFAULT_SERVER@
461 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
462 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
463 DEFS = @DEFS@
464 DEPDIR = @DEPDIR@
465 DOC_BUILD_DATE = @DOC_BUILD_DATE@
466 DUMP = @DUMP@
467 DUMP_RETURNS_1 = @DUMP_RETURNS_1@
468 ECHO = @ECHO@
469 ECHO_C = @ECHO_C@
470 ECHO_N = @ECHO_N@
471 ECHO_T = @ECHO_T@
472 EGREP = @EGREP@
473 EOVERFLOW = @EOVERFLOW@
474 EXAMPLE_TAPEDEV = @EXAMPLE_TAPEDEV@
475 EXEEXT = @EXEEXT@
476 F77 = @F77@
477 FFLAGS = @FFLAGS@
478 FLOAT_H = @FLOAT_H@
479 GETCONF = @GETCONF@
480 GETOPT_H = @GETOPT_H@
481 GETTEXT = @GETTEXT@
482 GLIB_CFLAGS = @GLIB_CFLAGS@
483 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
484 GLIB_LIBS = @GLIB_LIBS@
485 GLIB_MKENUMS = @GLIB_MKENUMS@
486 GMSGFMT = @GMSGFMT@
487 GMSGFMT_015 = @GMSGFMT_015@
488 GNULIB_CALLOC_POSIX = @GNULIB_CALLOC_POSIX@
489 GNULIB_CHOWN = @GNULIB_CHOWN@
490 GNULIB_DUP2 = @GNULIB_DUP2@
491 GNULIB_ENVIRON = @GNULIB_ENVIRON@
492 GNULIB_FCHDIR = @GNULIB_FCHDIR@
493 GNULIB_FFLUSH = @GNULIB_FFLUSH@
494 GNULIB_FOPEN = @GNULIB_FOPEN@
495 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
496 GNULIB_FREOPEN = @GNULIB_FREOPEN@
497 GNULIB_FSEEK = @GNULIB_FSEEK@
498 GNULIB_FSEEKO = @GNULIB_FSEEKO@
499 GNULIB_FTELL = @GNULIB_FTELL@
500 GNULIB_FTELLO = @GNULIB_FTELLO@
501 GNULIB_FTRUNCATE = @GNULIB_FTRUNCATE@
502 GNULIB_GETCWD = @GNULIB_GETCWD@
503 GNULIB_GETDELIM = @GNULIB_GETDELIM@
504 GNULIB_GETLINE = @GNULIB_GETLINE@
505 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
506 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
507 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
508 GNULIB_LCHOWN = @GNULIB_LCHOWN@
509 GNULIB_LSEEK = @GNULIB_LSEEK@
510 GNULIB_MALLOC_POSIX = @GNULIB_MALLOC_POSIX@
511 GNULIB_MBSCASECMP = @GNULIB_MBSCASECMP@
512 GNULIB_MBSCASESTR = @GNULIB_MBSCASESTR@
513 GNULIB_MBSCHR = @GNULIB_MBSCHR@
514 GNULIB_MBSCSPN = @GNULIB_MBSCSPN@
515 GNULIB_MBSLEN = @GNULIB_MBSLEN@
516 GNULIB_MBSNCASECMP = @GNULIB_MBSNCASECMP@
517 GNULIB_MBSNLEN = @GNULIB_MBSNLEN@
518 GNULIB_MBSPBRK = @GNULIB_MBSPBRK@
519 GNULIB_MBSPCASECMP = @GNULIB_MBSPCASECMP@
520 GNULIB_MBSRCHR = @GNULIB_MBSRCHR@
521 GNULIB_MBSSEP = @GNULIB_MBSSEP@
522 GNULIB_MBSSPN = @GNULIB_MBSSPN@
523 GNULIB_MBSSTR = @GNULIB_MBSSTR@
524 GNULIB_MBSTOK_R = @GNULIB_MBSTOK_R@
525 GNULIB_MEMMEM = @GNULIB_MEMMEM@
526 GNULIB_MEMPCPY = @GNULIB_MEMPCPY@
527 GNULIB_MEMRCHR = @GNULIB_MEMRCHR@
528 GNULIB_MKDTEMP = @GNULIB_MKDTEMP@
529 GNULIB_MKSTEMP = @GNULIB_MKSTEMP@
530 GNULIB_PRINTF_POSIX = @GNULIB_PRINTF_POSIX@
531 GNULIB_PUTENV = @GNULIB_PUTENV@
532 GNULIB_READLINK = @GNULIB_READLINK@
533 GNULIB_REALLOC_POSIX = @GNULIB_REALLOC_POSIX@
534 GNULIB_SETENV = @GNULIB_SETENV@
535 GNULIB_SLEEP = @GNULIB_SLEEP@
536 GNULIB_SNPRINTF = @GNULIB_SNPRINTF@
537 GNULIB_SPRINTF_POSIX = @GNULIB_SPRINTF_POSIX@
538 GNULIB_STPCPY = @GNULIB_STPCPY@
539 GNULIB_STPNCPY = @GNULIB_STPNCPY@
540 GNULIB_STRCASESTR = @GNULIB_STRCASESTR@
541 GNULIB_STRCHRNUL = @GNULIB_STRCHRNUL@
542 GNULIB_STRDUP = @GNULIB_STRDUP@
543 GNULIB_STRERROR = @GNULIB_STRERROR@
544 GNULIB_STRNDUP = @GNULIB_STRNDUP@
545 GNULIB_STRNLEN = @GNULIB_STRNLEN@
546 GNULIB_STRPBRK = @GNULIB_STRPBRK@
547 GNULIB_STRSEP = @GNULIB_STRSEP@
548 GNULIB_STRSIGNAL = @GNULIB_STRSIGNAL@
549 GNULIB_STRSTR = @GNULIB_STRSTR@
550 GNULIB_STRTOK_R = @GNULIB_STRTOK_R@
551 GNULIB_UNSETENV = @GNULIB_UNSETENV@
552 GNULIB_VASPRINTF = @GNULIB_VASPRINTF@
553 GNULIB_VFPRINTF_POSIX = @GNULIB_VFPRINTF_POSIX@
554 GNULIB_VPRINTF_POSIX = @GNULIB_VPRINTF_POSIX@
555 GNULIB_VSNPRINTF = @GNULIB_VSNPRINTF@
556 GNULIB_VSPRINTF_POSIX = @GNULIB_VSPRINTF_POSIX@
557 GNULIB_WCWIDTH = @GNULIB_WCWIDTH@
558 GNUPLOT = @GNUPLOT@
559 GNUTAR = @GNUTAR@
560 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
561 GOBJECT_QUERY = @GOBJECT_QUERY@
562 GREP = @GREP@
563 GZIP = @GZIP@
564 HAVE_CALLOC_POSIX = @HAVE_CALLOC_POSIX@
565 HAVE_DECL_ENVIRON = @HAVE_DECL_ENVIRON@
566 HAVE_DECL_GETDELIM = @HAVE_DECL_GETDELIM@
567 HAVE_DECL_GETLINE = @HAVE_DECL_GETLINE@
568 HAVE_DECL_GETLOGIN_R = @HAVE_DECL_GETLOGIN_R@
569 HAVE_DECL_MEMMEM = @HAVE_DECL_MEMMEM@
570 HAVE_DECL_MEMRCHR = @HAVE_DECL_MEMRCHR@
571 HAVE_DECL_MKDIR = @HAVE_DECL_MKDIR@
572 HAVE_DECL_SNPRINTF = @HAVE_DECL_SNPRINTF@
573 HAVE_DECL_STRDUP = @HAVE_DECL_STRDUP@
574 HAVE_DECL_STRERROR = @HAVE_DECL_STRERROR@
575 HAVE_DECL_STRNDUP = @HAVE_DECL_STRNDUP@
576 HAVE_DECL_STRNLEN = @HAVE_DECL_STRNLEN@
577 HAVE_DECL_STRSIGNAL = @HAVE_DECL_STRSIGNAL@
578 HAVE_DECL_STRTOK_R = @HAVE_DECL_STRTOK_R@
579 HAVE_DECL_VSNPRINTF = @HAVE_DECL_VSNPRINTF@
580 HAVE_DECL_WCWIDTH = @HAVE_DECL_WCWIDTH@
581 HAVE_DUP2 = @HAVE_DUP2@
582 HAVE_FSEEKO = @HAVE_FSEEKO@
583 HAVE_FTELLO = @HAVE_FTELLO@
584 HAVE_FTRUNCATE = @HAVE_FTRUNCATE@
585 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
586 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
587 HAVE_GZIP = @HAVE_GZIP@
588 HAVE_INTTYPES_H = @HAVE_INTTYPES_H@
589 HAVE_IO_H = @HAVE_IO_H@
590 HAVE_LONG_LONG_INT = @HAVE_LONG_LONG_INT@
591 HAVE_LSTAT = @HAVE_LSTAT@
592 HAVE_MALLOC_POSIX = @HAVE_MALLOC_POSIX@
593 HAVE_MEMPCPY = @HAVE_MEMPCPY@
594 HAVE_MKDTEMP = @HAVE_MKDTEMP@
595 HAVE_NETINET_IN_H = @HAVE_NETINET_IN_H@
596 HAVE_OS_H = @HAVE_OS_H@
597 HAVE_READLINK = @HAVE_READLINK@
598 HAVE_REALLOC_POSIX = @HAVE_REALLOC_POSIX@
599 HAVE_SETENV = @HAVE_SETENV@
600 HAVE_SIGNED_SIG_ATOMIC_T = @HAVE_SIGNED_SIG_ATOMIC_T@
601 HAVE_SIGNED_WCHAR_T = @HAVE_SIGNED_WCHAR_T@
602 HAVE_SIGNED_WINT_T = @HAVE_SIGNED_WINT_T@
603 HAVE_SLEEP = @HAVE_SLEEP@
604 HAVE_STDINT_H = @HAVE_STDINT_H@
605 HAVE_STPCPY = @HAVE_STPCPY@
606 HAVE_STPNCPY = @HAVE_STPNCPY@
607 HAVE_STRCASESTR = @HAVE_STRCASESTR@
608 HAVE_STRCHRNUL = @HAVE_STRCHRNUL@
609 HAVE_STRNDUP = @HAVE_STRNDUP@
610 HAVE_STRPBRK = @HAVE_STRPBRK@
611 HAVE_STRSEP = @HAVE_STRSEP@
612 HAVE_STRUCT_TIMEVAL = @HAVE_STRUCT_TIMEVAL@
613 HAVE_SYS_BITYPES_H = @HAVE_SYS_BITYPES_H@
614 HAVE_SYS_INTTYPES_H = @HAVE_SYS_INTTYPES_H@
615 HAVE_SYS_PARAM_H = @HAVE_SYS_PARAM_H@
616 HAVE_SYS_SOCKET_H = @HAVE_SYS_SOCKET_H@
617 HAVE_SYS_TIME_H = @HAVE_SYS_TIME_H@
618 HAVE_SYS_TYPES_H = @HAVE_SYS_TYPES_H@
619 HAVE_UNISTD_H = @HAVE_UNISTD_H@
620 HAVE_UNSETENV = @HAVE_UNSETENV@
621 HAVE_UNSIGNED_LONG_LONG_INT = @HAVE_UNSIGNED_LONG_LONG_INT@
622 HAVE_VASPRINTF = @HAVE_VASPRINTF@
623 HAVE_VISIBILITY = @HAVE_VISIBILITY@
624 HAVE_WCHAR_H = @HAVE_WCHAR_H@
625 HAVE_WINSOCK2_H = @HAVE_WINSOCK2_H@
626 HAVE_WS2TCPIP_H = @HAVE_WS2TCPIP_H@
627 HAVE__BOOL = @HAVE__BOOL@
628 INCLUDE_NEXT = @INCLUDE_NEXT@
629 INSTALL = @INSTALL@
630 INSTALL_DATA = @INSTALL_DATA@
631 INSTALL_PROGRAM = @INSTALL_PROGRAM@
632 INSTALL_SCRIPT = @INSTALL_SCRIPT@
633 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
634 INTLLIBS = @INTLLIBS@
635 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
636 KRB4_SECURITY = @KRB4_SECURITY@
637 KRB5_SECURITY = @KRB5_SECURITY@
638 LDFLAGS = @LDFLAGS@
639 LEX = @LEX@
640 LEXLIB = @LEXLIB@
641 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
642 LIBCURL = @LIBCURL@
643 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
644 LIBICONV = @LIBICONV@
645 LIBINTL = @LIBINTL@
646 LIBMULTITHREAD = @LIBMULTITHREAD@
647 LIBOBJS = @LIBOBJS@
648 LIBPTH = @LIBPTH@
649 LIBS = @LIBS@
650 LIBTHREAD = @LIBTHREAD@
651 LIBTOOL = @LIBTOOL@
652 LIBTOOL_DEPS = @LIBTOOL_DEPS@
653 LN_S = @LN_S@
654 LOCKING = @LOCKING@
655 LOW_TCPPORTRANGE = @LOW_TCPPORTRANGE@
656 LTLIBICONV = @LTLIBICONV@
657 LTLIBINTL = @LTLIBINTL@
658 LTLIBMULTITHREAD = @LTLIBMULTITHREAD@
659 LTLIBOBJS = @LTLIBOBJS@
660 LTLIBPTH = @LTLIBPTH@
661 LTLIBTHREAD = @LTLIBTHREAD@
662 MAILER = @MAILER@
663 MAKEINFO = @MAKEINFO@
664 MCUTIL = @MCUTIL@
665 MKDIR_P = @MKDIR_P@
666 MSGFMT = @MSGFMT@
667 MSGFMT_015 = @MSGFMT_015@
668 MSGMERGE = @MSGMERGE@
669 MT = @MT@
670 MTX = @MTX@
671 MT_FILE_FLAG = @MT_FILE_FLAG@
672 NETINET_IN_H = @NETINET_IN_H@
673 NEXT_FLOAT_H = @NEXT_FLOAT_H@
674 NEXT_NETINET_IN_H = @NEXT_NETINET_IN_H@
675 NEXT_STDINT_H = @NEXT_STDINT_H@
676 NEXT_STDIO_H = @NEXT_STDIO_H@
677 NEXT_STDLIB_H = @NEXT_STDLIB_H@
678 NEXT_STRING_H = @NEXT_STRING_H@
679 NEXT_SYS_SOCKET_H = @NEXT_SYS_SOCKET_H@
680 NEXT_SYS_STAT_H = @NEXT_SYS_STAT_H@
681 NEXT_SYS_TIME_H = @NEXT_SYS_TIME_H@
682 NEXT_UNISTD_H = @NEXT_UNISTD_H@
683 NEXT_WCHAR_H = @NEXT_WCHAR_H@
684 OBJEXT = @OBJEXT@
685 PACKAGE = @PACKAGE@
686 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
687 PACKAGE_NAME = @PACKAGE_NAME@
688 PACKAGE_STRING = @PACKAGE_STRING@
689 PACKAGE_TARNAME = @PACKAGE_TARNAME@
690 PACKAGE_VERSION = @PACKAGE_VERSION@
691 PATH_SEPARATOR = @PATH_SEPARATOR@
692 PCAT = @PCAT@
693 PERL = @PERL@
694 PERLEXTLIBS = @PERLEXTLIBS@
695 PERL_INC = @PERL_INC@
696 PKG_CONFIG = @PKG_CONFIG@
697 POSUB = @POSUB@
698 PRINT = @PRINT@
699 PS = @PS@
700 PS_ARGUMENT = @PS_ARGUMENT@
701 PTRDIFF_T_SUFFIX = @PTRDIFF_T_SUFFIX@
702 RANLIB = @RANLIB@
703 READLINE_LIBS = @READLINE_LIBS@
704 REPLACE_CHOWN = @REPLACE_CHOWN@
705 REPLACE_FCHDIR = @REPLACE_FCHDIR@
706 REPLACE_FFLUSH = @REPLACE_FFLUSH@
707 REPLACE_FOPEN = @REPLACE_FOPEN@
708 REPLACE_FPRINTF = @REPLACE_FPRINTF@
709 REPLACE_FREOPEN = @REPLACE_FREOPEN@
710 REPLACE_FSEEK = @REPLACE_FSEEK@
711 REPLACE_FSEEKO = @REPLACE_FSEEKO@
712 REPLACE_FTELL = @REPLACE_FTELL@
713 REPLACE_FTELLO = @REPLACE_FTELLO@
714 REPLACE_GETCWD = @REPLACE_GETCWD@
715 REPLACE_GETLINE = @REPLACE_GETLINE@
716 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
717 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
718 REPLACE_LCHOWN = @REPLACE_LCHOWN@
719 REPLACE_LSEEK = @REPLACE_LSEEK@
720 REPLACE_MEMMEM = @REPLACE_MEMMEM@
721 REPLACE_MKSTEMP = @REPLACE_MKSTEMP@
722 REPLACE_PRINTF = @REPLACE_PRINTF@
723 REPLACE_PUTENV = @REPLACE_PUTENV@
724 REPLACE_SNPRINTF = @REPLACE_SNPRINTF@
725 REPLACE_SPRINTF = @REPLACE_SPRINTF@
726 REPLACE_STRCASESTR = @REPLACE_STRCASESTR@
727 REPLACE_STRERROR = @REPLACE_STRERROR@
728 REPLACE_STRSIGNAL = @REPLACE_STRSIGNAL@
729 REPLACE_STRSTR = @REPLACE_STRSTR@
730 REPLACE_VASPRINTF = @REPLACE_VASPRINTF@
731 REPLACE_VFPRINTF = @REPLACE_VFPRINTF@
732 REPLACE_VPRINTF = @REPLACE_VPRINTF@
733 REPLACE_VSNPRINTF = @REPLACE_VSNPRINTF@
734 REPLACE_VSPRINTF = @REPLACE_VSPRINTF@
735 REPLACE_WCWIDTH = @REPLACE_WCWIDTH@
736 RESTORE = @RESTORE@
737 RSH_SECURITY = @RSH_SECURITY@
738 SAMBA_CLIENT = @SAMBA_CLIENT@
739 SERVER_HOST_INSTANCE = @SERVER_HOST_INSTANCE@
740 SERVER_HOST_KEY_FILE = @SERVER_HOST_KEY_FILE@
741 SERVER_HOST_PRINCIPAL = @SERVER_HOST_PRINCIPAL@
742 SERVICE_SUFFIX = @SERVICE_SUFFIX@
743 SETUID_GROUP = @SETUID_GROUP@
744 SET_MAKE = @SET_MAKE@
745 SHELL = @SHELL@
746 SIG_ATOMIC_T_SUFFIX = @SIG_ATOMIC_T_SUFFIX@
747 SIZE_T_SUFFIX = @SIZE_T_SUFFIX@
748 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
749 SORT = @SORT@
750 SSH = @SSH@
751 SSH_SECURITY = @SSH_SECURITY@
752 STDBOOL_H = @STDBOOL_H@
753 STDINT_H = @STDINT_H@
754 STRIP = @STRIP@
755 SVN = @SVN@
756 SWIG = @SWIG@
757 SWIG_LIB = @SWIG_LIB@
758 SYS_SOCKET_H = @SYS_SOCKET_H@
759 SYS_STAT_H = @SYS_STAT_H@
760 SYS_TIME_H = @SYS_TIME_H@
761 TCPPORTRANGE = @TCPPORTRANGE@
762 TICKET_LIFETIME = @TICKET_LIFETIME@
763 UDPPORTRANGE = @UDPPORTRANGE@
764 UNCOMPRESS_OPT = @UNCOMPRESS_OPT@
765 UNCOMPRESS_PATH = @UNCOMPRESS_PATH@
766 USE_AMANDAHOSTS = @USE_AMANDAHOSTS@
767 USE_NLS = @USE_NLS@
768 USE_RUNDUMP = @USE_RUNDUMP@
769 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
770 VDUMP = @VDUMP@
771 VERSION = @VERSION@
772 VERSION_COMMENT = @VERSION_COMMENT@
773 VERSION_MAJOR = @VERSION_MAJOR@
774 VERSION_MINOR = @VERSION_MINOR@
775 VERSION_PATCH = @VERSION_PATCH@
776 VERSION_SUFFIX = @VERSION_SUFFIX@
777 VOID_UNSETENV = @VOID_UNSETENV@
778 VRESTORE = @VRESTORE@
779 VXDUMP = @VXDUMP@
780 VXRESTORE = @VXRESTORE@
781 WCHAR_H = @WCHAR_H@
782 WCHAR_T_SUFFIX = @WCHAR_T_SUFFIX@
783 WINT_T_SUFFIX = @WINT_T_SUFFIX@
784 XFSDUMP = @XFSDUMP@
785 XFSRESTORE = @XFSRESTORE@
786 XGETTEXT = @XGETTEXT@
787 XGETTEXT_015 = @XGETTEXT_015@
788 XSLREL = @XSLREL@
789 XSLTPROC = @XSLTPROC@
790 XSLTPROC_FLAGS = @XSLTPROC_FLAGS@
791 YACC = @YACC@
792 YFLAGS = @YFLAGS@
793 _libcurl_config = @_libcurl_config@
794 abs_builddir = @abs_builddir@
795 abs_srcdir = @abs_srcdir@
796 abs_top_builddir = @abs_top_builddir@
797 abs_top_srcdir = @abs_top_srcdir@
798 ac_ct_CC = @ac_ct_CC@
799 ac_ct_CXX = @ac_ct_CXX@
800 ac_ct_F77 = @ac_ct_F77@
801 am__include = @am__include@
802 am__leading_dot = @am__leading_dot@
803 am__quote = @am__quote@
804 am__tar = @am__tar@
805 am__untar = @am__untar@
806 amdatadir = @amdatadir@
807 amincludedir = @amincludedir@
808 amlibdir = @amlibdir@
809 amlibexecdir = @amlibexecdir@
810 amperldir = @amperldir@
811 bindir = @bindir@
812 build = @build@
813 build_alias = @build_alias@
814 build_cpu = @build_cpu@
815 build_os = @build_os@
816 build_vendor = @build_vendor@
817 builddir = @builddir@
818 datadir = @datadir@
819 datarootdir = @datarootdir@
820 docdir = @docdir@
821 dvidir = @dvidir@
822 exec_prefix = @exec_prefix@
823 gl_LIBOBJS = @gl_LIBOBJS@
824 gl_LTLIBOBJS = @gl_LTLIBOBJS@
825 gltests_LIBOBJS = @gltests_LIBOBJS@
826 gltests_LTLIBOBJS = @gltests_LTLIBOBJS@
827 host = @host@
828 host_alias = @host_alias@
829 host_cpu = @host_cpu@
830 host_os = @host_os@
831 host_vendor = @host_vendor@
832 htmldir = @htmldir@
833 includedir = @includedir@
834 infodir = @infodir@
835 install_sh = @install_sh@
836 libdir = @libdir@
837 libexecdir = @libexecdir@
838 localedir = @localedir@
839 localstatedir = @localstatedir@
840 mandir = @mandir@
841 mkdir_p = @mkdir_p@
842 oldincludedir = @oldincludedir@
843 pdfdir = @pdfdir@
844 prefix = @prefix@
845 program_transform_name = @program_transform_name@
846 psdir = @psdir@
847 sbindir = @sbindir@
848 sharedstatedir = @sharedstatedir@
849 srcdir = @srcdir@
850 sysconfdir = @sysconfdir@
851 target = @target@
852 target_alias = @target_alias@
853 target_cpu = @target_cpu@
854 target_os = @target_os@
855 target_vendor = @target_vendor@
856 top_build_prefix = @top_build_prefix@
857 top_builddir = @top_builddir@
858 top_srcdir = @top_srcdir@
859 SUFFIXES = 
860 EXTRA_DIST = chg-lib.sh.in scsi-proto.c
861 BUILT_SOURCES = 
862 MOSTLYCLEANFILES = 
863
864 # config.status leaves config.log files around
865 CLEANFILES = config.log
866
867 # and we'll need to clean up our generated files for distclean
868 DISTCLEANFILES = $(SCRIPTS_SHELL) $(SCRIPTS_PERL) $(SCRIPTS_AWK) \
869         $(SCRIPTS_INCLUDE) $(am__append_1)
870 MAINTAINERCLEANFILES = 
871
872 # syntax-check shell scripts on 'make check'
873 CHECK_SHELL = $(SCRIPTS_SHELL)
874
875 # sed expression to strip leading directories from a filename; this converts e.g.,
876 # src/foo/bar.so to bar.so.
877 strip_leading_dirs = s|^.*/||
878 @WANT_INSTALLPERMS_FALSE@do_file = pa="$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
879 @WANT_INSTALLPERMS_FALSE@    echo "installperm \"$$chown\" \"$$chmod\" \"$$pa\"" >> "$(installperms_sh)"
880
881
882 # define a snippet of the scripts below to either perform a chown/chmod operation,
883 # or record that operation in the logfile.  On entry to the snippet, $$dest is the
884 # destination directory, $$cmd is the srcdir-relative pathname of the target file,
885 # $$chown is the ownership, and $$chmod is the permission pattern.
886 @WANT_INSTALLPERMS_TRUE@do_file = pa="$(DESTDIR)$$dest"/`echo "$$cmd"|sed '$(strip_leading_dirs)'|sed '$(transform)'`; \
887 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chown"; then \
888 @WANT_INSTALLPERMS_TRUE@        echo chown "$$chown" "$$pa"; \
889 @WANT_INSTALLPERMS_TRUE@        chown "$$chown" "$$pa" || exit 1; \
890 @WANT_INSTALLPERMS_TRUE@    fi; \
891 @WANT_INSTALLPERMS_TRUE@    if test -n "$$chmod"; then \
892 @WANT_INSTALLPERMS_TRUE@        echo chmod "$$chmod" "$$pa"; \
893 @WANT_INSTALLPERMS_TRUE@        chmod "$$chmod" "$$pa" || exit 1; \
894 @WANT_INSTALLPERMS_TRUE@    fi 
895
896 @WANT_INSTALLPERMS_FALSE@installperms_sh = "$(top_builddir)/installperms.sh"
897 INCLUDES = -I$(top_builddir)/common-src \
898                 -I$(top_srcdir)/common-src   \
899                 -I$(top_srcdir)/device-src   \
900                 -I$(top_srcdir)/gnulib
901
902 AM_CFLAGS = $(AMANDA_WARNING_CFLAGS)
903 AM_LDFLAGS = $(AMANDA_STATIC_LDFLAGS)
904 LINT = $(AMLINT)
905 LINTFLAGS = $(AMLINTFLAGS)
906 @WANT_CHG_SCSI_CHIO_TRUE@CHIO_SCSI = chg-scsi-chio
907 @WANT_CHG_SCSI_TRUE@CHG_SCSI = chg-scsi
908 CHECK_PERL = \
909                 chg-glue \
910                 chg-chio \
911                 chg-iomega \
912                 chg-rth
913
914 SCRIPTS_PERL = $(CHECK_PERL)
915 SCRIPTS_SHELL = \
916                 chg-manual \
917                 chg-multi \
918                 chg-mtx \
919                 chg-chs \
920                 chg-zd-mtx \
921                 chg-juke \
922                 chg-rait \
923                 chg-null \
924                 chg-mcutil \
925                 chg-disk
926
927 SCRIPTS_INCLUDE = \
928                 chg-lib.sh
929
930 amlibexec_SCRIPTS = $(SCRIPTS_PERL) $(SCRIPTS_SHELL)
931 amlibexec_DATA = $(SCRIPTS_INCLUDE)
932
933 ###
934 # Because libamanda includes routines (e.g. regex) provided by some system
935 # libraries, and because of the way libtool sets up the command line, we
936 # need to list libamanda twice here, first to override the system library
937 # routines, and second to pick up any references in the other libraries.
938 ###
939 LDADD = ../common-src/libamanda.la \
940         ../common-src/libamanda.la \
941         ../device-src/libamdevice.la \
942         ../gnulib/libgnu.la \
943         $(READLINE_LIBS)
944
945 chg_scsi_CSRC = chg-scsi.c scsi-changer-driver.c sense.c \
946         $(am__append_2) $(am__append_3) $(am__append_4) \
947         $(am__append_5) $(am__append_6) $(am__append_7) \
948         $(am__append_8)
949 chg_scsi_SOURCES = libscsi.h scsi-defs.h $(chg_scsi_CSRC)
950 chg_scsi_chio_CSRC = chg-scsi-chio.c $(am__append_9) $(am__append_10)
951 chg_scsi_chio_SOURCES = libscsi.h $(chg_scsi_chio_CSRC)
952 INSTALLPERMS_exec = \
953         chown=amanda \
954         dest=$(sbindir) $(sbin_PROGRAMS) \
955         dest=$(amlibexecdir) $(amlibexec_PROGRAMS) 
956
957 INSTALLPERMS_data = \
958         chown=amanda \
959         dest=$(sbindir) $(sbin_SCRIPTS) \
960         dest=$(amlibexecdir) $(amlibexec_SCRIPTS) $(amlibexec_DATA)
961
962 all: $(BUILT_SOURCES)
963         $(MAKE) $(AM_MAKEFLAGS) all-am
964
965 .SUFFIXES:
966 .SUFFIXES: .c .lo .o .obj
967 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/config/automake/vars.am $(top_srcdir)/config/automake/scripts.am $(top_srcdir)/config/automake/installperms.am $(top_srcdir)/config/automake/precompile.am $(am__configure_deps)
968         @for dep in $?; do \
969           case '$(am__configure_deps)' in \
970             *$$dep*) \
971               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
972                 && { if test -f $@; then exit 0; else break; fi; }; \
973               exit 1;; \
974           esac; \
975         done; \
976         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu changer-src/Makefile'; \
977         $(am__cd) $(top_srcdir) && \
978           $(AUTOMAKE) --gnu changer-src/Makefile
979 .PRECIOUS: Makefile
980 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
981         @case '$?' in \
982           *config.status*) \
983             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
984           *) \
985             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
986             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
987         esac;
988
989 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
990         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
991
992 $(top_srcdir)/configure:  $(am__configure_deps)
993         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
994 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
995         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
996 $(am__aclocal_m4_deps):
997 install-amlibexecPROGRAMS: $(amlibexec_PROGRAMS)
998         @$(NORMAL_INSTALL)
999         test -z "$(amlibexecdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibexecdir)"
1000         @list='$(amlibexec_PROGRAMS)'; test -n "$(amlibexecdir)" || list=; \
1001         for p in $$list; do echo "$$p $$p"; done | \
1002         sed 's/$(EXEEXT)$$//' | \
1003         while read p p1; do if test -f $$p || test -f $$p1; \
1004           then echo "$$p"; echo "$$p"; else :; fi; \
1005         done | \
1006         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
1007             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
1008         sed 'N;N;N;s,\n, ,g' | \
1009         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
1010           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1011             if ($$2 == $$4) files[d] = files[d] " " $$1; \
1012             else { print "f", $$3 "/" $$4, $$1; } } \
1013           END { for (d in files) print "f", d, files[d] }' | \
1014         while read type dir files; do \
1015             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1016             test -z "$$files" || { \
1017             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(amlibexecdir)$$dir'"; \
1018             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(amlibexecdir)$$dir" || exit $$?; \
1019             } \
1020         ; done
1021
1022 uninstall-amlibexecPROGRAMS:
1023         @$(NORMAL_UNINSTALL)
1024         @list='$(amlibexec_PROGRAMS)'; test -n "$(amlibexecdir)" || list=; \
1025         files=`for p in $$list; do echo "$$p"; done | \
1026           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1027               -e 's/$$/$(EXEEXT)/' `; \
1028         test -n "$$list" || exit 0; \
1029         echo " ( cd '$(DESTDIR)$(amlibexecdir)' && rm -f" $$files ")"; \
1030         cd "$(DESTDIR)$(amlibexecdir)" && rm -f $$files
1031
1032 clean-amlibexecPROGRAMS:
1033         @list='$(amlibexec_PROGRAMS)'; test -n "$$list" || exit 0; \
1034         echo " rm -f" $$list; \
1035         rm -f $$list || exit $$?; \
1036         test -n "$(EXEEXT)" || exit 0; \
1037         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1038         echo " rm -f" $$list; \
1039         rm -f $$list
1040 chg-scsi$(EXEEXT): $(chg_scsi_OBJECTS) $(chg_scsi_DEPENDENCIES) 
1041         @rm -f chg-scsi$(EXEEXT)
1042         $(LINK) $(chg_scsi_OBJECTS) $(chg_scsi_LDADD) $(LIBS)
1043 chg-scsi-chio$(EXEEXT): $(chg_scsi_chio_OBJECTS) $(chg_scsi_chio_DEPENDENCIES) 
1044         @rm -f chg-scsi-chio$(EXEEXT)
1045         $(LINK) $(chg_scsi_chio_OBJECTS) $(chg_scsi_chio_LDADD) $(LIBS)
1046 install-amlibexecSCRIPTS: $(amlibexec_SCRIPTS)
1047         @$(NORMAL_INSTALL)
1048         test -z "$(amlibexecdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibexecdir)"
1049         @list='$(amlibexec_SCRIPTS)'; test -n "$(amlibexecdir)" || list=; \
1050         for p in $$list; do \
1051           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1052           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
1053         done | \
1054         sed -e 'p;s,.*/,,;n' \
1055             -e 'h;s|.*|.|' \
1056             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
1057         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
1058           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1059             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
1060               if (++n[d] == $(am__install_max)) { \
1061                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
1062             else { print "f", d "/" $$4, $$1 } } \
1063           END { for (d in files) print "f", d, files[d] }' | \
1064         while read type dir files; do \
1065              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1066              test -z "$$files" || { \
1067                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(amlibexecdir)$$dir'"; \
1068                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(amlibexecdir)$$dir" || exit $$?; \
1069              } \
1070         ; done
1071
1072 uninstall-amlibexecSCRIPTS:
1073         @$(NORMAL_UNINSTALL)
1074         @list='$(amlibexec_SCRIPTS)'; test -n "$(amlibexecdir)" || exit 0; \
1075         files=`for p in $$list; do echo "$$p"; done | \
1076                sed -e 's,.*/,,;$(transform)'`; \
1077         test -n "$$list" || exit 0; \
1078         echo " ( cd '$(DESTDIR)$(amlibexecdir)' && rm -f" $$files ")"; \
1079         cd "$(DESTDIR)$(amlibexecdir)" && rm -f $$files
1080
1081 mostlyclean-compile:
1082         -rm -f *.$(OBJEXT)
1083
1084 distclean-compile:
1085         -rm -f *.tab.c
1086
1087 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chg-scsi-chio.Po@am__quote@
1088 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chg-scsi.Po@am__quote@
1089 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-aix.Po@am__quote@
1090 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-bsd.Po@am__quote@
1091 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-cam.Po@am__quote@
1092 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-changer-driver.Po@am__quote@
1093 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-chio.Po@am__quote@
1094 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-hpux.Po@am__quote@
1095 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-hpux_new.Po@am__quote@
1096 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-irix.Po@am__quote@
1097 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-linux.Po@am__quote@
1098 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scsi-solaris.Po@am__quote@
1099 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sense.Po@am__quote@
1100
1101 .c.o:
1102 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1103 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1104 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1105 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1106 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1107
1108 .c.obj:
1109 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1110 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1111 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1112 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1113 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1114
1115 .c.lo:
1116 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1117 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1118 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1119 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1120 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1121
1122 mostlyclean-libtool:
1123         -rm -f *.lo
1124
1125 clean-libtool:
1126         -rm -rf .libs _libs
1127 install-amlibexecDATA: $(amlibexec_DATA)
1128         @$(NORMAL_INSTALL)
1129         test -z "$(amlibexecdir)" || $(MKDIR_P) "$(DESTDIR)$(amlibexecdir)"
1130         @list='$(amlibexec_DATA)'; test -n "$(amlibexecdir)" || list=; \
1131         for p in $$list; do \
1132           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1133           echo "$$d$$p"; \
1134         done | $(am__base_list) | \
1135         while read files; do \
1136           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(amlibexecdir)'"; \
1137           $(INSTALL_DATA) $$files "$(DESTDIR)$(amlibexecdir)" || exit $$?; \
1138         done
1139
1140 uninstall-amlibexecDATA:
1141         @$(NORMAL_UNINSTALL)
1142         @list='$(amlibexec_DATA)'; test -n "$(amlibexecdir)" || list=; \
1143         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1144         test -n "$$files" || exit 0; \
1145         echo " ( cd '$(DESTDIR)$(amlibexecdir)' && rm -f" $$files ")"; \
1146         cd "$(DESTDIR)$(amlibexecdir)" && rm -f $$files
1147
1148 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1149         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1150         unique=`for i in $$list; do \
1151             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1152           done | \
1153           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1154               END { if (nonempty) { for (i in files) print i; }; }'`; \
1155         mkid -fID $$unique
1156 tags: TAGS
1157
1158 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1159                 $(TAGS_FILES) $(LISP)
1160         set x; \
1161         here=`pwd`; \
1162         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1163         unique=`for i in $$list; do \
1164             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1165           done | \
1166           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1167               END { if (nonempty) { for (i in files) print i; }; }'`; \
1168         shift; \
1169         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1170           test -n "$$unique" || unique=$$empty_fix; \
1171           if test $$# -gt 0; then \
1172             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1173               "$$@" $$unique; \
1174           else \
1175             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1176               $$unique; \
1177           fi; \
1178         fi
1179 ctags: CTAGS
1180 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1181                 $(TAGS_FILES) $(LISP)
1182         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1183         unique=`for i in $$list; do \
1184             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1185           done | \
1186           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1187               END { if (nonempty) { for (i in files) print i; }; }'`; \
1188         test -z "$(CTAGS_ARGS)$$unique" \
1189           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1190              $$unique
1191
1192 GTAGS:
1193         here=`$(am__cd) $(top_builddir) && pwd` \
1194           && $(am__cd) $(top_srcdir) \
1195           && gtags -i $(GTAGS_ARGS) "$$here"
1196
1197 distclean-tags:
1198         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1199
1200 distdir: $(DISTFILES)
1201         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1202         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1203         list='$(DISTFILES)'; \
1204           dist_files=`for file in $$list; do echo $$file; done | \
1205           sed -e "s|^$$srcdirstrip/||;t" \
1206               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1207         case $$dist_files in \
1208           */*) $(MKDIR_P) `echo "$$dist_files" | \
1209                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1210                            sort -u` ;; \
1211         esac; \
1212         for file in $$dist_files; do \
1213           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1214           if test -d $$d/$$file; then \
1215             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1216             if test -d "$(distdir)/$$file"; then \
1217               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1218             fi; \
1219             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1220               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1221               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1222             fi; \
1223             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1224           else \
1225             test -f "$(distdir)/$$file" \
1226             || cp -p $$d/$$file "$(distdir)/$$file" \
1227             || exit 1; \
1228           fi; \
1229         done
1230         $(MAKE) $(AM_MAKEFLAGS) \
1231           top_distdir="$(top_distdir)" distdir="$(distdir)" \
1232           dist-hook
1233 check-am: all-am
1234         $(MAKE) $(AM_MAKEFLAGS) check-local
1235 check: $(BUILT_SOURCES)
1236         $(MAKE) $(AM_MAKEFLAGS) check-am
1237 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(DATA)
1238 installdirs:
1239         for dir in "$(DESTDIR)$(amlibexecdir)" "$(DESTDIR)$(amlibexecdir)" "$(DESTDIR)$(amlibexecdir)"; do \
1240           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1241         done
1242 install: $(BUILT_SOURCES)
1243         $(MAKE) $(AM_MAKEFLAGS) install-am
1244 install-exec: install-exec-am
1245 install-data: install-data-am
1246 uninstall: uninstall-am
1247
1248 install-am: all-am
1249         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1250
1251 installcheck: installcheck-am
1252 install-strip:
1253         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1254           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1255           `test -z '$(STRIP)' || \
1256             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1257 mostlyclean-generic:
1258         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1259
1260 clean-generic:
1261         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1262
1263 distclean-generic:
1264         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1265         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1266         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1267
1268 maintainer-clean-generic:
1269         @echo "This command is intended for maintainers to use"
1270         @echo "it deletes files that may require special tools to rebuild."
1271         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1272         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1273 clean: clean-am
1274
1275 clean-am: clean-amlibexecPROGRAMS clean-generic clean-libtool \
1276         mostlyclean-am
1277
1278 distclean: distclean-am
1279         -rm -rf ./$(DEPDIR)
1280         -rm -f Makefile
1281 distclean-am: clean-am distclean-compile distclean-generic \
1282         distclean-tags
1283
1284 dvi: dvi-am
1285
1286 dvi-am:
1287
1288 html: html-am
1289
1290 html-am:
1291
1292 info: info-am
1293
1294 info-am:
1295
1296 install-data-am:
1297         @$(NORMAL_INSTALL)
1298         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1299 install-dvi: install-dvi-am
1300
1301 install-dvi-am:
1302
1303 install-exec-am: install-amlibexecDATA install-amlibexecPROGRAMS \
1304         install-amlibexecSCRIPTS
1305         @$(NORMAL_INSTALL)
1306         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1307 install-html: install-html-am
1308
1309 install-html-am:
1310
1311 install-info: install-info-am
1312
1313 install-info-am:
1314
1315 install-man:
1316
1317 install-pdf: install-pdf-am
1318
1319 install-pdf-am:
1320
1321 install-ps: install-ps-am
1322
1323 install-ps-am:
1324
1325 installcheck-am: installcheck-local
1326
1327 maintainer-clean: maintainer-clean-am
1328         -rm -rf ./$(DEPDIR)
1329         -rm -f Makefile
1330 maintainer-clean-am: distclean-am maintainer-clean-generic
1331
1332 mostlyclean: mostlyclean-am
1333
1334 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1335         mostlyclean-libtool
1336
1337 pdf: pdf-am
1338
1339 pdf-am:
1340
1341 ps: ps-am
1342
1343 ps-am:
1344
1345 uninstall-am: uninstall-amlibexecDATA uninstall-amlibexecPROGRAMS \
1346         uninstall-amlibexecSCRIPTS
1347
1348 .MAKE: all check check-am install install-am install-data-am \
1349         install-exec-am install-strip
1350
1351 .PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
1352         clean-amlibexecPROGRAMS clean-generic clean-libtool ctags \
1353         dist-hook distclean distclean-compile distclean-generic \
1354         distclean-libtool distclean-tags distdir dvi dvi-am html \
1355         html-am info info-am install install-am install-amlibexecDATA \
1356         install-amlibexecPROGRAMS install-amlibexecSCRIPTS \
1357         install-data install-data-am install-data-hook install-dvi \
1358         install-dvi-am install-exec install-exec-am install-exec-hook \
1359         install-html install-html-am install-info install-info-am \
1360         install-man install-pdf install-pdf-am install-ps \
1361         install-ps-am install-strip installcheck installcheck-am \
1362         installcheck-local installdirs maintainer-clean \
1363         maintainer-clean-generic mostlyclean mostlyclean-compile \
1364         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1365         tags uninstall uninstall-am uninstall-amlibexecDATA \
1366         uninstall-amlibexecPROGRAMS uninstall-amlibexecSCRIPTS
1367
1368
1369 # Perl
1370 %: %.pl $(top_builddir)/config.status
1371         $(top_builddir)/config.status --file=$@:$<
1372         chmod a+x $@
1373         @if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1374                 grep -v '^use lib' $@ > $@.nouselib; \
1375                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $@.nouselib || exit 1; \
1376                 rm $@.nouselib; \
1377         fi
1378
1379 %.pl: %.pl.in $(top_builddir)/config.status
1380         $(top_builddir)/config.status --file=$@:$<
1381
1382 %.pm: %.pm.in $(top_builddir)/config.status
1383         $(top_builddir)/config.status --file=$@:$<
1384
1385 # Shell
1386 %: %.sh $(top_builddir)/config.status
1387         $(top_builddir)/config.status --file=$@:$<
1388         chmod a+x $@
1389
1390 %.sh: %.sh.in $(top_builddir)/config.status
1391         $(top_builddir)/config.status --file=$@:$<
1392
1393 # Awk
1394 %: %.awk $(top_builddir)/config.status
1395         $(top_builddir)/config.status --file=$@:$<
1396         chmod a+x $@
1397
1398 %.awk: %.awk.in $(top_builddir)/config.status
1399         $(top_builddir)/config.status --file=$@:$<
1400
1401 # syntax-check perl scripts on 'make check'
1402 check-perl: $(CHECK_PERL)
1403         @CHECK_PERL="$(CHECK_PERL)"; \
1404         if test -f $(top_builddir)/perl/.libs/libCmdline.so -o -f $(top_builddir)/perl/libCmdline.so; then \
1405                 if test -n "$(PERL)"; then \
1406                         for perlobj in $$CHECK_PERL; do \
1407                                 grep -v '^use lib' $$perlobj > $$perlobj.nouselib; \
1408                                 $(PERL) $(CHECK_PERL_FLAGS) -I$(top_builddir)/perl -I$(top_builddir)/perl/.libs -I$(top_srcdir)/perl -c -w -T $$perlobj.nouselib || exit 1; \
1409                                 rm $$perlobj.nouselib; \
1410                         done; \
1411                 fi \
1412         fi
1413 check-local: check-perl
1414
1415 # syntax-check perl scripts on 'make installcheck'
1416 installcheck-perl: $(CHECK_PERL)
1417         @CHECK_PERL="$(CHECK_PERL)"; \
1418         if test -n "$(PERL)"; then \
1419                 for perlobj in $$CHECK_PERL; do \
1420                         $(PERL) $(CHECK_PERL_FLAGS) -c -w -T $$perlobj || exit 1; \
1421                 done; \
1422         fi
1423 installcheck-local: installcheck-perl
1424 check-shell: $(CHECK_SHELL)
1425         @CHECK_SHELL="$(CHECK_SHELL)"; \
1426         if test -n "$$CHECK_SHELL"; then \
1427                 if test -n "$(BASH)"; then \
1428                         for shobj in $$CHECK_SHELL; do \
1429                                 if $(BASH) -n $$shobj; then \
1430                                         echo "$$shobj syntax OK"; \
1431                                 else \
1432                                         echo "$$shobj syntax error"; \
1433                                         exit 1; \
1434                                 fi; \
1435                         done; \
1436                 else \
1437                         echo "No 'bash' available -- cannot syntax-check shell scripts"; \
1438                 fi; \
1439         fi
1440 check-local: check-shell
1441
1442 # make sure that the sources for all shell and perl scripts get included
1443 # in the distribution
1444 dist-scripts:
1445         SCRIPTS_PERL="$(SCRIPTS_PERL)"; SCRIPTS_SHELL="$(SCRIPTS_SHELL)"; SCRIPTS_AWK="$(SCRIPTS_AWK)"; \
1446         for script in $$SCRIPTS_PERL; do \
1447                 test -f $(srcdir)/$${script}.pl && { cp -p $(srcdir)/$${script}.pl $(distdir)/ || exit 1; } \
1448         done; \
1449         for script in $$SCRIPTS_SHELL; do \
1450                 test -f $(srcdir)/$${script}.sh && { cp -p $(srcdir)/$${script}.sh $(distdir)/ || exit 1; } \
1451         done; \
1452         for script in $$SCRIPTS_AWK; do \
1453                 test -f $(srcdir)/$${script}.awk && { cp -p $(srcdir)/$${script}.awk $(distdir)/ || exit 1; } \
1454         done; \
1455         for script in $$SCRIPTS_SHELL $$SCRIPTS_PERL $$SCRIPTS_AWK; do \
1456                 test -f $(srcdir)/$${script}.in && { cp -p $(srcdir)/$${script}.in $(distdir)/ || exit 1; } \
1457         done; \
1458         true
1459 dist-hook: dist-scripts
1460
1461 installperms-exec:
1462         @installperms="$(INSTALLPERMS_exec)"; \
1463         test -n "$$installperms" && echo "Setting installation permissions on executables"; \
1464         dest=; chown=; chmod=; \
1465         for cmd in $$installperms; do \
1466             case "$$cmd" in \
1467                 chown=amanda) \
1468                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1469                 dest=*|chown=*|chmod=*) \
1470                         echo "  ($$cmd)"; eval $$cmd;; \
1471                 *) $(do_file) ;; \
1472             esac; \
1473         done
1474
1475 installperms-data:
1476         @installperms="$(INSTALLPERMS_data)"; \
1477         dest=; chown=; chmod=; \
1478         for cmd in $$installperms; do \
1479             case "$$cmd" in \
1480                 chown=amanda) \
1481                         echo "  ($$cmd)"; chown="$(BINARY_OWNER):$(SETUID_GROUP)";; \
1482                 dest=*|chown=*|chmod=*) \
1483                         echo "  ($$cmd)"; eval $$cmd;; \
1484                 *)  $(do_file) ;; \
1485             esac; \
1486         done
1487
1488 install-exec-hook: installperms-exec
1489 install-data-hook: installperms-data
1490
1491 # define a rule to initialize the installperms manifest file
1492 @WANT_INSTALLPERMS_TRUE@installperms-init:
1493 @WANT_INSTALLPERMS_FALSE@installperms-init:
1494 @WANT_INSTALLPERMS_FALSE@       rm -f "$(installperms_sh)"
1495
1496 # A rule to make precompiler output from C files.  This is not used during
1497 # ordinary builds, but but can very useful in debugging problems on strange
1498 # architectures.  With this rule, we can ask users to 'make foo.i' and send
1499 # the result to us.
1500 #
1501 # It touches some automake internals ($COMPILE), but since it's not
1502 # build-critical, that's OK.
1503 %.i : %.c
1504         $(COMPILE) -E -o $@ $<
1505
1506 lint:
1507         @ for p in $(amlibexec_PROGRAMS) $(EXTRA_PROGRAMS); do                  \
1508                 p=`basename $$p $(EXEEXT)`;                                     \
1509                 f="$$p.c $(libamandad_la_SOURCES)";                             \
1510                 (cd ../common-src; make listlibsrc);                            \
1511                 f="$$f "`cat ../common-src/listlibsrc.output`;                  \
1512                 (cd ../server-src; make listlibsrc);                            \
1513                 f="$$f "`cat ../server-src/listlibsrc.output`;                  \
1514                 echo $(LINT) $$f;                                               \
1515                 $(LINT) $(LINTFLAGS) $(CPPFLAGS) $(DEFS) -I. -I$(top_builddir)/config   \
1516                     $(INCLUDES) $$f;                                            \
1517                 if [ $$? -ne 0 ]; then                                          \
1518                     exit 1;                                                     \
1519                 fi;                                                             \
1520         done;                                                                   \
1521         exit 0
1522
1523 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1524 # Otherwise a system limit (for SysV at least) may be exceeded.
1525 .NOEXPORT: